
TYPO3.Flow - Bug # 41497

Status: Resolved Priority: Must have
Author: Christopher Hlubek Category: Package
Created: 2012-10-01 Assigned To: Christopher Hlubek
Updated: 2012-10-04 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git 1.2 (master)
Subject: PackageStates are written on each request
Description

With the introduction of Composer in the PackageManager a bug was introduced that saves package states on each call to 
loadPackageStates which triggers re-compilation of all proxy classes.

Related issues:
related to TYPO3.Flow - Bug # 39096: Unnecessary compile invoked in non produ... New 2012-07-19
related to TYPO3 Flow Base Distribution - Story # 41031: Composer support for... Resolved 2012-09-17

Associated revisions
Revision 14a78824 - 2012-10-03 23:36 - Christopher Hlubek

[BUGFIX] Remove unnecessary call to to sortAndSavePackageStates

This change should fix the saving of a new PackageStates.php file on
every request which causes a rebuild of proxy classes and flushing of
other caches through file monitoring.

Change-Id: I19a3ec28249607cb0d047bc96b2a5c2e66ee4b1a
Resolves: #41497
Releases: 1.2

History
#1 - 2012-10-01 18:43 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15197

#2 - 2012-10-03 23:36 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15197

#3 - 2012-10-04 00:35 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:14a788244e4be7b84907e576d758567942d0cf07.
